import request from "@/utils/request";

export function LIST(data, params) {
  return request({
    url: "/pu/priceApply/list",
    method: "POST",
    params: params,
    data: data,
  });
}

export function ITEM(data) {
  return request({
    url: `/pu/priceApply/${data}`,
    method: "GET",
  });
}

export function SAVE(data) {
  return request({
    url: "/pu/priceApply/save",
    method: "POST",
    data: data,
  });
}

export function SUBMIT(data) {
  return request({
    url: `/pu/priceApply/submit/${data}`,
    method: "POST",
    data: data,
  });
}

export function REMOVE(data) {
  return request({
    url: `/pu/priceApply/${data}`,
    method: "delete",
  });
}
